Bug 603915 (CVE-2010-2448) - CVE-2010-2448 znc: NULL pointer dereference flaw leads to segfault under certain conditions
Summary: CVE-2010-2448 znc: NULL pointer dereference flaw leads to segfault under cert...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2010-2448
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100613,reported=20100614,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-14 20:38 UTC by Vincent Danen
Modified: 2016-03-04 10:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 14:52:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-06-14 20:38:59 UTC
A Debian bug report [1] noted that ZNC would segfault under certain conditions, such as clicking "traffic" in the webadmin pages or issuing the traffic command on the /znc shell.  This has been corrected upstream [2].  This vulnerability was reported against 0.090 which is the version that Fedora provides.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584929
[2] http://znc.svn.sourceforge.net/viewvc/znc?view=rev&revision=2026

Comment 1 Fedora Update System 2010-06-16 22:31:03 UTC
znc-0.090-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/znc-0.090-2.fc13

Comment 2 Fedora Update System 2010-06-16 22:31:08 UTC
znc-0.090-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/znc-0.090-2.fc11

Comment 3 Fedora Update System 2010-06-16 22:31:19 UTC
znc-0.090-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/znc-0.090-2.el5

Comment 4 Fedora Update System 2010-06-16 22:31:23 UTC
znc-0.090-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/znc-0.090-2.fc12

Comment 5 Fedora Update System 2010-06-18 16:44:54 UTC
znc-0.090-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-06-21 12:54:28 UTC
znc-0.090-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-06-21 13:04:21 UTC
znc-0.090-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-21 13:04:37 UTC
znc-0.090-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Vincent Danen 2010-07-12 17:45:39 UTC
This issue was assigned the name CVE-2010-2448.


Note You need to log in before you can comment on or make changes to this bug.